Subject: [Ltru] Fw: trying to comment draft-ietf-ltru-4646bis-09.txt

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 28 Nov 2007 10:38:23 -0800

Hi -

I'm forwarding this posting from a list subscriber whose messages
are somehow not making it to the liast software.

Randy

-------------------------------------
Status:  U
Date: Wed, 28 Nov 2007 17:00:10 +0100 (MET)
From: Elisabeth Porteneuve <[email-masked]>
To: [email-masked] (Addison Phillips),
        [email-masked],
        [email-masked] (Mark Davis),
        [email-masked] (Randy Presuhn)
Cc: [email-masked]
Subject: trying to comment draft-ietf-ltru-4646bis-09.txt

Greetings,

I wish to comment on draft-ietf-ltru-4646bis-09.txt, however
my email does not get to the list, neither shows in archives.

There is no greylisting on my side.

Apparently the IETF archives are not synchronised with posts
from members - I got Frank Ellermann's posts a long time before
those made to archives.

It's strange to not being able to communicate to an IETF group,
therefore this individual post. Sorry.

Kind regards,
Elisabeth Porteneuve

Nov 28 15:23:35 balsa sendmail[24793]: PAA24791: to=[email-masked], ctladdr=porteneu (5209/5027), delay=00:00:04, xdelay=00:00:04,
mailer=esmtp, relay=stiedprmail1.ietf.org. [156.154.16.150], stat=Sent (OK id=1IxNp6-0006EC-PJ)
Nov 28 15:35:02 balsa sendmail[24873]: PAA24871: to=[email-masked], ctladdr=porteneu (5209/5027), delay=00:00:02,
xdelay=00:00:02, mailer=esmtp, relay=stiedprmail1.ietf.org. [156.154.16.150], stat=Sent (OK id=1IxO0D-0007uA-Gh)

---
 From porteneu Wed Nov 28 15:23:31 2007
 To: [email-masked]
 Subject: Re: draft-ietf-ltru-4646bis-09.txt
 Content-Length: 8142
 Status: RO

Re: http://www.ietf.org/internet-drafts/draft-ietf-ltru-4646bis-09.txt

Greetings,

Allow me to comment the LTRU draft (I am not on your list), and provide
a diff with proposed corrections.

I read the above draft, and found it very confusing with regards to ISO 3166.

The draft uses the term "ISO 3166" indifferently to design (1) Maintenance
Agency, (2) all ISO 3166 standards, and (3) the specific ISO 3166-1 alpha-2
list. Furthermore the draft points to the ISO 3166-1:1997 edition in
9.1 "Normative References", instead of its successor ISO 3166-1:2006 - which
makes its own example for Serbia out of context (the "RS" code was added in
2006 edition).

Quoting ISO 3166-1:2006 document:
    This second edition of ISO 3166-1 cancels and replaces ISO 3166-1:1997,
    of which it constitutes a complete revision. The International Standard
    was previously published in 1974, 1981, 1988 and 1993 as ISO 3166.
    In 1997, it was split into three parts.

Eventually I would stress out that a compilation of language subtags
MUST provide information on date of its ISO's sources, at least as far as
ISO 3166-1 table is concerned.

There is a number of very different reasons for which "exceptionally reserved"
exist, it is not good to consider them equal with regards to the subtag list,
cf. http://www.iso.org/iso/iso-3166-1_decoding_table
It's much better IMHO to state clear subtag exceptions (EU, UK).

Finally the IETF draft makes a provision to synchronise the ISO-3166 tables
with UN M.49 ones, assuming or suggesting that those two organisations does
not check together. The fact is that the ISO 3166-1 table is made, among other,
with alpha-2, alpha-3 and M.49 codes.

Specifically:
Re 2.2.4:
   2 and 3: "ISO 3166 maintenance agency or governing standardization bodies"
   - what is "governing standardization body?"
   3.C: "ambiguous ISO 3166 alpha-2 codes"
   - what does it mean "ambiguous" in ISO 3166 context?
   4. Note in parenthesis is twice undefined: "the time of this document was
   created" and the edition of ISO 3166-1.
Re 3.4.17:
   Does it describe how the-code-is-the-law will diverge from the UN and
   the sovereign nations if the world decide any change?

Kind regards,
Elisabeth Porteneuve

305c305
<    region        = 2ALPHA                 ; ISO 3166-1 alpha-2 code
---
>    region        = 2ALPHA                 ; ISO 3166 code
706c706
<        "exceptionally reserved" (as opposed to "assigned") in [ISO3166-1]
---
>        "exceptionally reserved" (as opposed to "assigned") in ISO 3166-1
722c722
<            ISO 3166-1 alpha-2 code and represent supra-national areas,
---
>            ISO 3166 alpha-2 code and represent supra-national areas,
739c739
<            3166-1 alpha-2 codes, when entered into the registry, MUST be
---
>            3166 alpha-2 codes, when entered into the registry, MUST be
745c745
<            associated ISO 3166-1 alpha-2 code in the registry MUST NOT be
---
>            associated ISO 3166 alpha-2 code in the registry MUST NOT be
747c747
<            language tags.  Note that the ISO 3166-1 based subtag in the
---
>            language tags.  Note that the ISO 3166-based subtag in the
751c751
<        E.  UN numeric codes and ISO 3166-1 alpha-2 codes for countries or
---
>        E.  UN numeric codes and ISO 3166 alpha-2 codes for countries or
758c758
<            have an associated ISO 3166-1 alpha-2 code MUST NOT be entered
---
>            have an associated ISO 3166 alpha-2 code MUST NOT be entered
765c765
<        these values matched the ISO 3166-1 alpha-2 codes.)
---
>        these values matched the ISO 3166 alpha-2 codes.)
773c773
<        correspond to codes reserved by ISO 3166/MA in ISO 3166-1 alpha-2 list for private use.  These
---
>        correspond to codes reserved by ISO 3166 for private use.  These
1298c1298
<    numeric region subtags defined by ISO 3166/MA in ISO 3166-1 alpha-2 list) MUST use uppercase.
---
>    numeric region subtags defined by ISO 3166) MUST use uppercase.
1354c1354
<    ISO 15924, ISO 3166-1, or UN M.49 codes are intended only to indicate
---
>    ISO 15924, ISO 3166, or UN M.49 codes are intended only to indicate
1368c1368
<    ISO 3166/MA, withdrawing a code.  In some historical cases, it might not
---
>    ISO 3166, withdrawing a code.  In some historical cases, it might not
1387c1387
<    2.  ISO 3166-1 alpha-2 region codes that have been withdrawn in favor of a new
---
>    2.  ISO 3166 region codes that have been withdrawn in favor of a new
1578c1578
<    withdrawn by ISO 639, ISO 15924, ISO 3166/MA, and UN M.49, the Language
---
>    withdrawn by ISO 639, ISO 15924, ISO 3166, and UN M.49, the Language
1605c1605
<    15924, ISO 3166/MA, and UN M.49 are reflected in the IANA Language
---
>    15924, ISO 3166, and UN M.49 are reflected in the IANA Language
1704c1704
<    14.  Codes assigned by ISO 15924 and ISO 3166/MA in ISO 3166-1 alpha-2 list that do not conflict
---
>    14.  Codes assigned by ISO 15924 and ISO 3166 that do not conflict
1709c1709
<    15.  Codes assigned by ISO 639, ISO 15924, or ISO 3166/MA in ISO 3166-1 alpha-2 list that are
---
>    15.  Codes assigned by ISO 639, ISO 15924, or ISO 3166 that are
1726c1726
<    16.  Codes assigned by ISO 639, ISO 15924, or ISO 3166/MA in ISO 3166-1 alpha-2 list that conflict
---
>    16.  Codes assigned by ISO 639, ISO 15924, or ISO 3166 that conflict
1751c1751
<             standard (that is, by ISO 639, ISO 15924, ISO 3166-1, or UN
---
>             standard (that is, by ISO 639, ISO 15924, ISO 3166, or UN
1771c1771
<         D.  For ISO 3166-1 codes, if the newly assigned code's meaning is
---
>         D.  For ISO 3166 codes, if the newly assigned code's meaning is
1776c1776
<             indicating the relationship to the new ISO 3166-1 code.
---
>             indicating the relationship to the new ISO 3166 code.
1778c1778
<         E.  For ISO 3166-1 codes, if the newly assigned code's meaning is
---
>         E.  For ISO 3166 codes, if the newly assigned code's meaning is
1785c1785
<         F.  For ISO 3166-1 codes, if there is no associated UN numeric
---
>         F.  For ISO 3166 codes, if there is no associated UN numeric
1808,1809c1808,1809
<         there is no corresponding ISO 3166-1 code SHOULD NOT be
<         registered, except as a surrogate for an ISO 3166-1 code that is
---
>         there is no corresponding ISO 3166 code SHOULD NOT be
>         registered, except as a surrogate for an ISO 3166 code that is
1811c1811
<         becomes necessary, then the registration authority for ISO 3166-1
---
>         becomes necessary, then the registration authority for ISO 3166
1813c1813
<         the petition for a code assignment by ISO 3166/MA is refused or not
---
>         the petition for a code assignment by ISO 3166 is refused or not
1817c1817
<         value of last resort in cases where ISO 3166/MA reassigns a
---
>         value of last resort in cases where ISO 3166 reassigns a
1871c1871
<    with ISO 639, ISO 15924, ISO 3166-1, and UN M.49 within the limits
---
>    with ISO 639, ISO 15924, ISO 3166, and UN M.49 within the limits
2147c2147
<       to reflect assignments made by ISO 639, ISO 15924, ISO 3166/MA, and
---
>       to reflect assignments made by ISO 639, ISO 15924, ISO 3166, and
2198c2198
<    The maintenance agency for ISO 3166-1 (country codes) is:
---
>    The maintenance agency for ISO 3166 (country codes) is:
3008c3008
<    'QM'-'QZ' and 'XA'-'XZ' (derived from ISO 3166-1 alpha-2 private use codes) MAY
---
>    'QM'-'QZ' and 'XA'-'XZ' (derived from ISO 3166 private use codes) MAY
3547,3550c3547,3549
<               International Organization for Standardization, "ISO
<               3166-1. Codes for the representation of names of countries
<               and their subdivisions -- Part 1: Country codes".
<               Second edition ISO 3166-1:2006, November 2006.
---
>               International Organization for Standardization, "ISO 3166-
>               1:1997. Codes for the representation of names of countries
>               and their subdivisions -- Part 1: Country codes", 1997.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Elisabeth Porteneuve <[email-masked]>
Date: Wed, 28 Nov 2007 21:08:59 +0100 (MET)

Many thanks Randy.
Elisabeth Porteneuve

N and 

Kind regards,
Elisabeth Porteneuve

305c305
706c706
722c722
739c739
745c745
747c747
751c751
758c758
765c765
773c773
1298c1298
1354c1354
1368c1368
1387c1387
1578c1578
1605c1605
1704c1704
1709c1709
1726c1726
1751c1751
1771c1771
1776c1776
1778c1778
1785c1785
1808,1809c1808,1809
1811c1811
1813c1813
1817c1817
1871c1871
2147c2147
2198c2198
3008c3008
3547,3550c3547,3549

---

From: Elisabeth Porteneuve <[email-masked]>
Date: Wed, 28 Nov 2007 21:08:59 +0100 (MET)

Many thanks Randy.
Elisabeth Porteneuve

---

From: Elisabeth Porteneuve <[email-masked]>
Date: Wed, 28 Nov 2007 21:08:59 +0100 (MET)

Many thanks Randy.
Elisabeth Porteneuve